//+------------------------------------------------------------------+
//|                                                    dotalu_v1.mq4 |
//|                                           Copyright  2010 ,.... |
//|                                             http://www.linka.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010 ,...."
#property link      "http://www.linka.net"

extern bool On = true;
extern int hours = 0;
extern int mins  = 1;

extern int x_pips = 50;
extern int few_pips = 5;
extern int TP = 500;
extern int SL = 50;

extern double lots = 0.1;
extern int dTP = 550;
extern int dSL = 100;
extern int slippage = 10;
extern int magic = 248248;
extern string comment = "dotalu_v1";
                

int digit;
double point;
            
///-------------------------------------------------------------------------------------------------------------------------------------------
int init() {
 
digit = Digits;
point = Point;


tracker() ;
seeker ();

 return (0);
}
///-------------------------------------------------------------------------------------------------------------------------------------------
int start() {
 

tracker() ;
seeker ();

            
}
///----------------------------------------------------------------------------------------------------------------------------------------------
void tracker () {


}
///----------------------------------------------------------------------------------------------------------------------------------------------
void seeker () {

if(!On) return;

if(orders_exist())return;

double zline = zline();

if(MathAbs(Bid - zline) > few_pips*point) return;

bstop(zline);
sstop(zline);

    
}
///----------------------------------------------------------------------------------------------------------------------------------------------
bool orders_exist () {

for (int i = 0; i < OrdersTotal(); i++) {

 OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
 
 if(OrderSymbol() != Symbol()) continue;
 if(OrderMagicNumber() != magic) continue;
  
 if (OrderType() == OP_BUYSTOP) {
 
  return(true); 
 
 }else if (OrderType() == OP_SELLSTOP) {
  
  return(true);
 
 }

}

return(false);

}
///----------------------------------------------------------------------------------------------------------------------------------------------
double zline () {

datetime ztime = TimeCurrent() - ((Hour() - hours)*60*60) - ((Minute() - mins)*60);

return(iOpen(Symbol(),PERIOD_M1,iBarShift(Symbol(),PERIOD_M1,ztime)));

}
///----------------------------------------------------------------------------------------------------------------------------------------------
void bstop (double _zline) {

double open_price = NormalizeDouble(_zline + x_pips*point,digit);
double sl = NormalizeDouble(open_price - SL*point,digit);
double tp = NormalizeDouble(open_price + TP*point,digit);

int ticket = OrderSend(Symbol(),OP_BUYSTOP,lots,open_price,slippage,sl,tp,comment,magic,0,Blue);

}
///----------------------------------------------------------------------------------------------------------------------------------------------
void sstop (double _zline) {

double open_price = NormalizeDouble(_zline - x_pips*point,digit);
double sl = NormalizeDouble(open_price + SL*point,digit);
double tp = NormalizeDouble(open_price - TP*point,digit);

int ticket = OrderSend(Symbol(),OP_SELLSTOP,lots,open_price,slippage,sl,tp,comment,magic,0,Red);

}
///-------------------------------------------------------------------------------------------------------------------------------------------
int deinit() {
 
 return (0);
}
///-------------------------------------------------------------------------------------------------------------------------------------------